Page MenuHomePhabricator

Replace uses of monitoring::ganglia with monitoring::graphite_* [5 pts]
Closed, ResolvedPublic

Description

We want to deprecate check_ganglia in favor of check_graphite. Both Hadoop and Kafka still have monitoring::ganglia uses.

Event Timeline

Ottomata created this task.Feb 24 2015, 9:53 PM
Ottomata claimed this task.
Ottomata raised the priority of this task from to Low.
Ottomata updated the task description. (Show Details)
Ottomata added a project: Analytics-Cluster.
Ottomata added a subscriber: Ottomata.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 24 2015, 9:53 PM
Ottomata set Security to None.
Krenair added a subscriber: Krenair.
Restricted Application added a subscriber: Matanya. · View Herald TranscriptJun 29 2015, 8:13 PM

We removed a bunch of monitoring::ganglia usages as part of the Kafka upgrade and expansion. The only one that is currently left for analytics use is monitoring::ganglia { 'hadoop-hdfs-namenode-primary-is-active':

Change 244248 had a related patch set uploaded (by Ottomata):
Add statsd param to hadoop jmxtrans classes

https://gerrit.wikimedia.org/r/244248

Change 244248 merged by Ottomata:
Add statsd param to hadoop jmxtrans classes

https://gerrit.wikimedia.org/r/244248

Change 244249 had a related patch set uploaded (by Ottomata):
Configure hadoop master and worker to send jmx stats to statsd

https://gerrit.wikimedia.org/r/244249

Ottomata moved this task from Paused to In Progress on the Analytics-Kanban board.Oct 7 2015, 7:22 PM

Change 244249 merged by Ottomata:
Configure hadoop master and worker to send jmx stats to statsd

https://gerrit.wikimedia.org/r/244249

Change 244456 had a related patch set uploaded (by Ottomata):
Add script for icinga checks of hdfs active namenode

https://gerrit.wikimedia.org/r/244456

Change 244456 merged by Ottomata:
Add script for icinga checks of hdfs active namenode

https://gerrit.wikimedia.org/r/244456

Dzahn added a subscriber: Dzahn.Oct 8 2015, 4:11 PM

This is really just curiosity and not a rhetorical question. What is better about monitoring::graphite vs. monitoring:;ganglia?

Change 244457 had a related patch set uploaded (by Ottomata):
Update cdh module with check_hdfs_active_namenode script, set up nrpe monitoring

https://gerrit.wikimedia.org/r/244457

Change 244457 merged by Ottomata:
Update cdh module with check_hdfs_active_namenode script, set up nrpe monitoring

https://gerrit.wikimedia.org/r/244457

Change 244460 had a related patch set uploaded (by Ottomata):
Allow nagios user to sudo to hdfs to run check_hdfs_active_namenode

https://gerrit.wikimedia.org/r/244460

Change 244460 merged by Ottomata:
Allow nagios user to sudo to hdfs to run check_hdfs_active_namenode

https://gerrit.wikimedia.org/r/244460

Change 244482 had a related patch set uploaded (by Ottomata):
Remove monitoring::ganglia hadoop-hdfs-namenode-primary-is-active

https://gerrit.wikimedia.org/r/244482

Change 244482 merged by Ottomata:
Remove monitoring::ganglia hadoop-hdfs-namenode-primary-is-active

https://gerrit.wikimedia.org/r/244482

Ottomata renamed this task from Replace uses of monitoring::ganglia with monitoring::graphite_* to Replace uses of monitoring::ganglia with monitoring::graphite_* [8 pts].Oct 8 2015, 6:29 PM

Change 244491 had a related patch set uploaded (by Ottomata):
Remove no longer used monitoring::ganglia 'hadoop-hdfs-namenode-primary-is-active'

https://gerrit.wikimedia.org/r/244491

Change 244491 merged by Ottomata:
Remove no longer used monitoring::ganglia 'hadoop-hdfs-namenode-primary-is-active'

https://gerrit.wikimedia.org/r/244491

Ottomata moved this task from In Progress to Done on the Analytics-Kanban board.Oct 8 2015, 6:48 PM
Ottomata renamed this task from Replace uses of monitoring::ganglia with monitoring::graphite_* [8 pts] to Replace uses of monitoring::ganglia with monitoring::graphite_* [5 pts].Oct 9 2015, 3:41 PM
kevinator closed this task as Resolved.Oct 9 2015, 4:21 PM
kevinator added a subscriber: kevinator.